{
    "doc": "Represents the results of a tiering process and its input patient data. TieringResult\n    is simply a more specific, less ambiguous term for \"cohort\".\n    We cannot use the InterpretationRequestRD structure because there may be many interpretation\n    requests for the same tiering results.",
    "fields": [
        {
            "doc": "Model version number",
            "name": "versionControl",
            "type": {
                "fields": [
                    {
                        "default": "4.2.0",
                        "doc": "This is the version for the entire set of data models as referred to the Git release tag",
                        "name": "gitVersionControl",
                        "type": "string"
                    }
                ],
                "name": "ReportVersionControl",
                "type": "record"
            }
        },
        {
            "default": "GRCh37.p13",
            "doc": "This is the version of the assembly used to align the reads",
            "name": "genomeAssemblyVersion",
            "type": "string"
        },
        {
            "default": "4.0",
            "doc": "Cellbase version",
            "name": "cellbaseVersion",
            "type": "string"
        },
        {
            "doc": "The genome shall be assigned to the\n            workspaces(projects or domains with a predefined set of users) to control user access",
            "name": "workspace",
            "type": {
                "items": "string",
                "type": "array"
            }
        },
        {
            "doc": "BAMs Files",
            "name": "bams",
            "type": {
                "items": {
                    "doc": "This defines a file\n    This Record is defined by the sampleID and a URI\n    Currently SampleID can be a single String or an array of strings if multiple samples are associated with the same file\n    *",
                    "fields": [
                        {
                            "doc": "Unique ID(s) of the Sample, for example in a multisample vcf this would have an array of all the sample ids",
                            "name": "sampleId",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "doc": "URI PATH",
                            "name": "uriFile",
                            "type": "string"
                        },
                        {
                            "name": "fileType",
                            "type": {
                                "name": "FileType",
                                "symbols": [
                                    "BAM",
                                    "gVCF",
                                    "VCF_small",
                                    "VCF_somatic_small",
                                    "VCF_CNV",
                                    "VCF_somatic_CNV",
                                    "VCF_SV",
                                    "VCF_somatic_SV",
                                    "VCF_SV_CNV",
                                    "SVG",
                                    "ANN",
                                    "BigWig",
                                    "MD5Sum",
                                    "ROH",
                                    "OTHER",
                                    "PARTITION",
                                    "VARIANT_FREQUENCIES",
                                    "COVERAGE"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "name": "md5Sum",
                            "type": [
                                "null",
                                "string"
                            ]
                        }
                    ],
                    "name": "File",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "doc": "VCFs Files where SVs and CNVs are represented",
            "name": "vcfs",
            "type": {
                "items": "File",
                "type": "array"
            }
        },
        {
            "doc": "BigWig Files",
            "name": "bigWigs",
            "type": [
                "null",
                {
                    "items": "File",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Pedigree Diagram Files as an SGV",
            "name": "pedigreeDiagram",
            "type": [
                "null",
                "File"
            ]
        },
        {
            "doc": "Variant Annotation using cellbase",
            "name": "annotationFile",
            "type": [
                "null",
                "File"
            ]
        },
        {
            "doc": "Other files that may be vendor specific\n            map of key: type of file, value: record of type File",
            "name": "otherFiles",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "File"
                }
            ]
        },
        {
            "doc": "Pedigree",
            "name": "pedigree",
            "type": {
                "doc": "This is the concept of a family with associated phenotypes as present in the record RDParticipant",
                "fields": [
                    {
                        "doc": "Model version number",
                        "name": "versionControl",
                        "type": [
                            "null",
                            {
                                "fields": [
                                    {
                                        "default": "1.0.3",
                                        "doc": "This is the version for the entire set of data models as referred to the Git release tag",
                                        "name": "GitVersionControl",
                                        "type": "string"
                                    }
                                ],
                                "name": "VersionControl",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "name": "LDPCode",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "Family id which internally translate to a sample set",
                        "name": "familyId",
                        "type": "string"
                    },
                    {
                        "name": "members",
                        "type": {
                            "items": {
                                "doc": "This defines a RD Participant (demographics and pedigree information)",
                                "fields": [
                                    {
                                        "doc": "Numbering used to refer to each member of the pedigree",
                                        "name": "pedigreeId",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "If this field is true, the member should be considered the proband of this family",
                                        "name": "isProband",
                                        "type": [
                                            "null",
                                            "boolean"
                                        ]
                                    },
                                    {
                                        "doc": "participantId",
                                        "name": "participantId",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "participantQCState",
                                        "name": "participantQCState",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "QCState Status",
                                                "name": "ParticipantQCState",
                                                "symbols": [
                                                    "noState",
                                                    "passedMedicalReviewReadyForInterpretation",
                                                    "passedMedicalReviewNotReadyForInterpretation",
                                                    "queryToGel",
                                                    "queryToGMC",
                                                    "failed"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "superFamily id, this id is built as a concatenation of all families id in this superfamily i.e, fam10024_fam100457",
                                        "name": "gelSuperFamilyId",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Sex of the Participant",
                                        "name": "sex",
                                        "type": {
                                            "doc": "Sex",
                                            "name": "Sex",
                                            "symbols": [
                                                "MALE",
                                                "FEMALE",
                                                "UNKNOWN"
                                            ],
                                            "type": "enum"
                                        }
                                    },
                                    {
                                        "doc": "Karyotypic sex of the participant as previously established or by looking at the GEL genome",
                                        "name": "personKaryotypicSex",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Karyotipic Sex",
                                                "name": "PersonKaryotipicSex",
                                                "symbols": [
                                                    "UNKNOWN",
                                                    "XX",
                                                    "XY",
                                                    "XO",
                                                    "XXY",
                                                    "XXX",
                                                    "XXYY",
                                                    "XXXY",
                                                    "XXXX",
                                                    "XYY",
                                                    "OTHER"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Year of Birth",
                                        "name": "yearOfBirth",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "refers to the pedigreeId of the father\n        Id of the parent, if unknown then no parent is referenced. Parents may need to be entered even if no data is known\n        about them in order to unambiguously reconstruct the pedigree.",
                                        "name": "fatherId",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "refers to the pedigreeId of the mother\n        Id of the parent, if unknown then no parent is referenced. Parents may need to be entered even if no data is known\n        about them in order to unambiguously reconstruct the pedigree.",
                                        "name": "motherId",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "this id is built using the original familyId and the original pedigreeId of the father",
                                        "name": "superFatherId",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "this id is built using the original familyId and the original pedigreeId of the mother",
                                        "name": "superMotherId",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "Each twin group is numbered, i.e. all members of a group of multiparous births receive the same number",
                                        "name": "twinGroup",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "A property of the twinning group but should be entered for all members",
                                        "name": "monozygotic",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "This defines a yes/no/unknown case",
                                                "name": "TernaryOption",
                                                "symbols": [
                                                    "yes",
                                                    "no",
                                                    "unknown"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Adopted Status",
                                        "name": "adoptedStatus",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "adoptedin means adopted into the family\n    adoptedout means child belonged to the family and was adopted out",
                                                "name": "AdoptedStatus",
                                                "symbols": [
                                                    "notadopted",
                                                    "adoptedin",
                                                    "adoptedout"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Life Status",
                                        "name": "lifeStatus",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Life Status",
                                                "name": "LifeStatus",
                                                "symbols": [
                                                    "ALIVE",
                                                    "ABORTED",
                                                    "DECEASED",
                                                    "UNBORN",
                                                    "STILLBORN",
                                                    "MISCARRIAGE"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "The parents of this participant has a consanguineous relationship",
                                        "name": "consanguineousParents",
                                        "type": [
                                            "null",
                                            "TernaryOption"
                                        ]
                                    },
                                    {
                                        "doc": "Affection Status",
                                        "name": "affectionStatus",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Affection Status",
                                                "name": "AffectionStatus",
                                                "symbols": [
                                                    "UNAFFECTED",
                                                    "AFFECTED",
                                                    "UNCERTAIN"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Clinical Data (disorders). If the family member is unaffected as per affectionStatus then this list is empty",
                                        "name": "disorderList",
                                        "type": [
                                            "null",
                                            {
                                                "items": {
                                                    "doc": "This is quite GEL specific. This is the way is stored in ModelCatalogue and PanelApp.\n    Currently all specific disease titles are assigned to a disease subgroup so really only specificDisease needs to be\n    completed but we add the others for generality",
                                                    "fields": [
                                                        {
                                                            "doc": "This is Level2 Title for this disorder",
                                                            "name": "diseaseGroup",
                                                            "type": [
                                                                "null",
                                                                "string"
                                                            ]
                                                        },
                                                        {
                                                            "doc": "This is Level3 Title for this disorder",
                                                            "name": "diseaseSubGroup",
                                                            "type": [
                                                                "null",
                                                                "string"
                                                            ]
                                                        },
                                                        {
                                                            "doc": "This is Level4 Title for this disorder",
                                                            "name": "specificDisease",
                                                            "type": [
                                                                "null",
                                                                "string"
                                                            ]
                                                        },
                                                        {
                                                            "doc": "Age of onset in years",
                                                            "name": "ageOfOnset",
                                                            "type": [
                                                                "null",
                                                                "float"
                                                            ]
                                                        }
                                                    ],
                                                    "name": "Disorder",
                                                    "type": "record"
                                                },
                                                "type": "array"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Clinical Data (HPO terms)",
                                        "name": "hpoTermList",
                                        "type": [
                                            "null",
                                            {
                                                "items": {
                                                    "doc": "This defines an HPO term and its modifiers (possibly multiple)\n    If HPO term presence is unknown we don't have a entry on the list",
                                                    "fields": [
                                                        {
                                                            "doc": "Identifier of the HPO term",
                                                            "name": "term",
                                                            "type": "string"
                                                        },
                                                        {
                                                            "doc": "This is whether the term is present in the participant (default is unknown) yes=term is present in participant,\n        no=term is not present",
                                                            "name": "termPresence",
                                                            "type": [
                                                                "null",
                                                                "TernaryOption"
                                                            ]
                                                        },
                                                        {
                                                            "doc": "hpoBuildNumber",
                                                            "name": "hpoBuildNumber",
                                                            "type": [
                                                                "null",
                                                                "string"
                                                            ]
                                                        },
                                                        {
                                                            "doc": "Modifier associated with the HPO term",
                                                            "name": "modifiers",
                                                            "type": [
                                                                "null",
                                                                {
                                                                    "fields": [
                                                                        {
                                                                            "name": "laterality",
                                                                            "type": [
                                                                                "null",
                                                                                {
                                                                                    "name": "Laterality",
                                                                                    "symbols": [
                                                                                        "RIGHT",
                                                                                        "UNILATERAL",
                                                                                        "BILATERAL",
                                                                                        "LEFT"
                                                                                    ],
                                                                                    "type": "enum"
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "name": "progression",
                                                                            "type": [
                                                                                "null",
                                                                                {
                                                                                    "name": "Progression",
                                                                                    "symbols": [
                                                                                        "PROGRESSIVE",
                                                                                        "NONPROGRESSIVE"
                                                                                    ],
                                                                                    "type": "enum"
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "name": "severity",
                                                                            "type": [
                                                                                "null",
                                                                                {
                                                                                    "name": "Severity",
                                                                                    "symbols": [
                                                                                        "BORDERLINE",
                                                                                        "MILD",
                                                                                        "MODERATE",
                                                                                        "SEVERE",
                                                                                        "PROFOUND"
                                                                                    ],
                                                                                    "type": "enum"
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "name": "spatialPattern",
                                                                            "type": [
                                                                                "null",
                                                                                {
                                                                                    "name": "SpatialPattern",
                                                                                    "symbols": [
                                                                                        "DISTAL",
                                                                                        "GENERALIZED",
                                                                                        "LOCALIZED",
                                                                                        "PROXIMAL"
                                                                                    ],
                                                                                    "type": "enum"
                                                                                }
                                                                            ]
                                                                        }
                                                                    ],
                                                                    "name": "HpoTermModifiers",
                                                                    "type": "record"
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "doc": "Age of onset in months",
                                                            "name": "ageOfOnset",
                                                            "type": [
                                                                "null",
                                                                {
                                                                    "name": "AgeOfOnset",
                                                                    "symbols": [
                                                                        "EMBRYONAL_ONSET",
                                                                        "FETAL_ONSET",
                                                                        "NEONATAL_ONSET",
                                                                        "INFANTILE_ONSET",
                                                                        "CHILDHOOD_ONSET",
                                                                        "JUVENILE_ONSET",
                                                                        "YOUNG_ADULT_ONSET",
                                                                        "LATE_ONSET",
                                                                        "MIDDLE_AGE_ONSET"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            ]
                                                        }
                                                    ],
                                                    "name": "HpoTerm",
                                                    "type": "record"
                                                },
                                                "type": "array"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Participant's ancestries, defined as Mother's/Father's Ethnic Origin and Chi-square test for goodness of fit of this sample to 1000 Genomes Phase 3 populations",
                                        "name": "ancestries",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Ancestries, defined as Ethnic category(ies) and Chi-square test",
                                                "fields": [
                                                    {
                                                        "doc": "Mother's Ethnic Origin",
                                                        "name": "mothersEthnicOrigin",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "doc": "This is the list of ethnicities in ONS16\n\n    * `D`:  Mixed: White and Black Caribbean\n    * `E`:  Mixed: White and Black African\n    * `F`:  Mixed: White and Asian\n    * `G`:  Mixed: Any other mixed background\n    * `A`:  White: British\n    * `B`:  White: Irish\n    * `C`:  White: Any other White background\n    * `L`:  Asian or Asian British: Any other Asian background\n    * `M`:  Black or Black British: Caribbean\n    * `N`:  Black or Black British: African\n    * `H`:  Asian or Asian British: Indian\n    * `J`:  Asian or Asian British: Pakistani\n    * `K`:  Asian or Asian British: Bangladeshi\n    * `P`:  Black or Black British: Any other Black background\n    * `S`:  Other Ethnic Groups: Any other ethnic group\n    * `R`:  Other Ethnic Groups: Chinese\n    * `Z`:  Not stated",
                                                                "name": "EthnicCategory",
                                                                "symbols": [
                                                                    "D",
                                                                    "E",
                                                                    "F",
                                                                    "G",
                                                                    "A",
                                                                    "B",
                                                                    "C",
                                                                    "L",
                                                                    "M",
                                                                    "N",
                                                                    "H",
                                                                    "J",
                                                                    "K",
                                                                    "P",
                                                                    "S",
                                                                    "R",
                                                                    "Z"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        ]
                                                    },
                                                    {
                                                        "doc": "Mother's Ethnic Origin Description",
                                                        "name": "mothersOtherRelevantAncestry",
                                                        "type": [
                                                            "null",
                                                            "string"
                                                        ]
                                                    },
                                                    {
                                                        "doc": "Father's Ethnic Origin",
                                                        "name": "fathersEthnicOrigin",
                                                        "type": [
                                                            "null",
                                                            "EthnicCategory"
                                                        ]
                                                    },
                                                    {
                                                        "doc": "Father's Ethnic Origin Description",
                                                        "name": "fathersOtherRelevantAncestry",
                                                        "type": [
                                                            "null",
                                                            "string"
                                                        ]
                                                    },
                                                    {
                                                        "doc": "Chi-square test for goodness of fit of this sample to 1000 Genomes Phase 3 populations",
                                                        "name": "chiSquare1KGenomesPhase3Pop",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "items": {
                                                                    "doc": "Chi-square test for goodness of fit of this sample to 1000 Genomes Phase 3 populations",
                                                                    "fields": [
                                                                        {
                                                                            "doc": "1K Super Population",
                                                                            "name": "kgSuperPopCategory",
                                                                            "type": {
                                                                                "doc": "1K Super Population",
                                                                                "name": "KgSuperPopCategory",
                                                                                "symbols": [
                                                                                    "AFR",
                                                                                    "AMR",
                                                                                    "EAS",
                                                                                    "EUR",
                                                                                    "SAS"
                                                                                ],
                                                                                "type": "enum"
                                                                            }
                                                                        },
                                                                        {
                                                                            "doc": "1K Population",
                                                                            "name": "kgPopCategory",
                                                                            "type": [
                                                                                "null",
                                                                                {
                                                                                    "doc": "1K Population",
                                                                                    "name": "KgPopCategory",
                                                                                    "symbols": [
                                                                                        "ACB",
                                                                                        "ASW",
                                                                                        "BEB",
                                                                                        "CDX",
                                                                                        "CEU",
                                                                                        "CHB",
                                                                                        "CHS",
                                                                                        "CLM",
                                                                                        "ESN",
                                                                                        "FIN",
                                                                                        "GBR",
                                                                                        "GIH",
                                                                                        "GWD",
                                                                                        "IBS",
                                                                                        "ITU",
                                                                                        "JPT",
                                                                                        "KHV",
                                                                                        "LWK",
                                                                                        "MSL",
                                                                                        "MXL",
                                                                                        "PEL",
                                                                                        "PJL",
                                                                                        "PUR",
                                                                                        "STU",
                                                                                        "TSI",
                                                                                        "YRI"
                                                                                    ],
                                                                                    "type": "enum"
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            "doc": "Chi-square test for goodness of fit of this sample to this 1000 Genomes Phase 3 population",
                                                                            "name": "chiSquare",
                                                                            "type": "double"
                                                                        }
                                                                    ],
                                                                    "name": "ChiSquare1KGenomesPhase3Pop",
                                                                    "type": "record"
                                                                },
                                                                "type": "array"
                                                            }
                                                        ]
                                                    }
                                                ],
                                                "name": "Ancestries",
                                                "type": "record"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "What has this participant consented to?\n        A participant that has been consented to the programme should also have sequence data associated with them; however\n        this needs to be programmatically checked",
                                        "name": "consentStatus",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Consent Status",
                                                "fields": [
                                                    {
                                                        "default": false,
                                                        "doc": "Is this individual consented to the programme?\n        It could simply be a family member that is not consented but for whom affection status is known",
                                                        "name": "programmeConsent",
                                                        "type": "boolean"
                                                    },
                                                    {
                                                        "default": false,
                                                        "doc": "Consent for feedback of primary findings?",
                                                        "name": "primaryFindingConsent",
                                                        "type": "boolean"
                                                    },
                                                    {
                                                        "default": false,
                                                        "doc": "Consent for secondary finding lookup",
                                                        "name": "secondaryFindingConsent",
                                                        "type": "boolean"
                                                    },
                                                    {
                                                        "default": false,
                                                        "doc": "Consent for carrier status check?",
                                                        "name": "carrierStatusConsent",
                                                        "type": "boolean"
                                                    }
                                                ],
                                                "name": "ConsentStatus",
                                                "type": "record"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "This is an array containing all the samples that belong to this individual, e.g [\"LP00002255_GA4\"]",
                                        "name": "samples",
                                        "type": [
                                            "null",
                                            {
                                                "items": {
                                                    "fields": [
                                                        {
                                                            "doc": "Sample Id (e.g, LP00012645_5GH))",
                                                            "name": "sampleId",
                                                            "type": "string"
                                                        },
                                                        {
                                                            "doc": "Lab Sample Id",
                                                            "name": "labSampleId",
                                                            "type": "int"
                                                        },
                                                        {
                                                            "doc": "Source",
                                                            "name": "source",
                                                            "type": [
                                                                "null",
                                                                {
                                                                    "name": "SampleSource",
                                                                    "symbols": [
                                                                        "BLOOD",
                                                                        "SALIVA",
                                                                        "FIBROBLAST",
                                                                        "TISSUE"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "doc": "Product",
                                                            "name": "product",
                                                            "type": [
                                                                "null",
                                                                {
                                                                    "name": "Product",
                                                                    "symbols": [
                                                                        "DNA",
                                                                        "RNA"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "doc": "preparationMethod",
                                                            "name": "preparationMethod",
                                                            "type": [
                                                                "null",
                                                                {
                                                                    "name": "PreparationMethod",
                                                                    "symbols": [
                                                                        "EDTA",
                                                                        "ORAGENE",
                                                                        "FF",
                                                                        "FFPE",
                                                                        "CD128_SORTED_CELLS",
                                                                        "ASPIRATE"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            ]
                                                        }
                                                    ],
                                                    "name": "Sample",
                                                    "type": "record"
                                                },
                                                "type": "array"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Inbreeding Coefficient Estimation",
                                        "name": "inbreedingCoefficient",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Inbreeding coefficient",
                                                "fields": [
                                                    {
                                                        "doc": "This is the sample id against which the coefficient was estimated",
                                                        "name": "sampleId",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "doc": "Name of program used to calculate the coefficient",
                                                        "name": "program",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "doc": "Version of the programme",
                                                        "name": "version",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "doc": "Where various methods for estimation exist, which method was used.",
                                                        "name": "estimationMethod",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "doc": "Inbreeding coefficient ideally a real number in [0,1]",
                                                        "name": "coefficient",
                                                        "type": "double"
                                                    },
                                                    {
                                                        "doc": "Standard error of the Inbreeding coefficient",
                                                        "name": "standardError",
                                                        "type": [
                                                            "null",
                                                            "double"
                                                        ]
                                                    }
                                                ],
                                                "name": "InbreedingCoefficient",
                                                "type": "record"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "We could add a map here to store additional information for example URIs to images, ECGs, etc\n        Null by default",
                                        "name": "additionalInformation",
                                        "type": [
                                            "null",
                                            {
                                                "type": "map",
                                                "values": "string"
                                            }
                                        ]
                                    }
                                ],
                                "name": "PedigreeMember",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    },
                    {
                        "name": "analysisPanels",
                        "type": [
                            "null",
                            {
                                "items": {
                                    "fields": [
                                        {
                                            "name": "specificDisease",
                                            "type": "string"
                                        },
                                        {
                                            "name": "panelName",
                                            "type": "string"
                                        },
                                        {
                                            "name": "panelVersion",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "reviewOutcome",
                                            "type": "string"
                                        },
                                        {
                                            "name": "multipleGeneticOrigins",
                                            "type": "string"
                                        }
                                    ],
                                    "name": "AnalysisPanel",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "name": "diseasePenetrances",
                        "type": [
                            "null",
                            {
                                "items": {
                                    "fields": [
                                        {
                                            "name": "specificDisease",
                                            "type": "string"
                                        },
                                        {
                                            "name": "penetrance",
                                            "type": {
                                                "doc": "Penetrance assumed in the analysis",
                                                "name": "Penetrance",
                                                "symbols": [
                                                    "complete",
                                                    "incomplete"
                                                ],
                                                "type": "enum"
                                            }
                                        }
                                    ],
                                    "name": "DiseasePenetrance",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "name": "readyForAnalysis",
                        "type": "boolean"
                    },
                    {
                        "name": "familyQCState",
                        "type": [
                            "null",
                            {
                                "doc": "FamilyQCState",
                                "name": "FamilyQCState",
                                "symbols": [
                                    "noState",
                                    "passedMedicalReviewReadyForInterpretation",
                                    "passedMedicalReviewNotReadyForInterpretation",
                                    "queryToGel",
                                    "queryToGMC",
                                    "failed"
                                ],
                                "type": "enum"
                            }
                        ]
                    }
                ],
                "name": "Pedigree",
                "namespace": "org.gel.models.participant.avro",
                "type": "record"
            }
        },
        {
            "doc": "Tiered Variants",
            "name": "tieredVariants",
            "type": {
                "items": {
                    "fields": [
                        {
                            "doc": "chromosome, named as: 1-22,X,Y,MT or other contig names as defined in the BAM header",
                            "name": "chromosome",
                            "type": "string"
                        },
                        {
                            "doc": "variant ID in dbSNP",
                            "name": "dbSnpId",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "position: Position 1-based",
                            "name": "position",
                            "type": "int"
                        },
                        {
                            "doc": "reference: Reference Allele sequence, the same provided in vcf",
                            "name": "reference",
                            "type": "string"
                        },
                        {
                            "doc": "alternate: Alternate Allele sequence, the same provided in vcf",
                            "name": "alternate",
                            "type": "string"
                        },
                        {
                            "doc": "array of genotypes for the family",
                            "name": "calledGenotypes",
                            "type": {
                                "items": {
                                    "doc": "This is intended to hold the genotypes for the family members\n    In principle it is a phased zygosity as in VCF spec and called by the analysis provider if further phasing is conducted",
                                    "fields": [
                                        {
                                            "doc": "Participant id of the family member:",
                                            "name": "gelId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "LP Number of the family member:",
                                            "name": "sampleId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Zygosity",
                                            "name": "genotype",
                                            "type": {
                                                "doc": "It is a representation of the zygosity\n\n* `reference_homozygous`: 0/0, 0|0\n* `heterozygous`: 0/1, 1/0, 1|0, 0|1\n* `alternate_homozygous`: 1/1, 1|1\n* `missing`: ./., .|.\n* `half_missing_reference`: ./0, 0/., 0|., .|0\n* `half_missing_alternate`: ./1, 1/., 1|., .|1\n* `alternate_hemizigous`: 1\n* `reference_hemizigous`: 0\n* `unk`: Anything unexpected",
                                                "name": "Zygosity",
                                                "symbols": [
                                                    "reference_homozygous",
                                                    "heterozygous",
                                                    "alternate_homozygous",
                                                    "missing",
                                                    "half_missing_reference",
                                                    "half_missing_alternate",
                                                    "alternate_hemizigous",
                                                    "reference_hemizigous",
                                                    "unk"
                                                ],
                                                "type": "enum"
                                            }
                                        },
                                        {
                                            "doc": "Phase set of variants when variants are phased",
                                            "name": "phaseSet",
                                            "type": [
                                                "null",
                                                "int"
                                            ]
                                        },
                                        {
                                            "doc": "Depth for Reference Allele",
                                            "name": "depthReference",
                                            "type": [
                                                "null",
                                                "int"
                                            ]
                                        },
                                        {
                                            "doc": "Depth for Alternate Allele",
                                            "name": "depthAlternate",
                                            "type": [
                                                "null",
                                                "int"
                                            ]
                                        },
                                        {
                                            "doc": "Copy number genotype for imprecise events",
                                            "name": "copyNumber",
                                            "type": [
                                                "null",
                                                "int"
                                            ]
                                        }
                                    ],
                                    "name": "CalledGenotype",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        },
                        {
                            "doc": "This is the scores across multiple modes of inheritance, for each model of inheritance analyzed,\n        the variants can have only one Report event.",
                            "name": "reportEvents",
                            "type": {
                                "items": {
                                    "fields": [
                                        {
                                            "doc": "Unique identifier for each report event, this has to be unique across the whole report, and it will be used by GEL\n        to validate the report",
                                            "name": "reportEventId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "This is the phenotype (usually the HPO term or the disorder name) considered to report this variant",
                                            "name": "phenotype",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Gene Panel used from panelApp",
                                            "name": "panelName",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Gene Panel Version",
                                            "name": "panelVersion",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Mode of inheritance used to analyze the family",
                                            "name": "modeOfInheritance",
                                            "type": {
                                                "doc": "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown",
                                                "name": "ReportedModeOfInheritance",
                                                "symbols": [
                                                    "monoallelic",
                                                    "monoallelic_not_imprinted",
                                                    "monoallelic_maternally_imprinted",
                                                    "monoallelic_paternally_imprinted",
                                                    "biallelic",
                                                    "monoallelic_and_biallelic",
                                                    "monoallelic_and_more_severe_biallelic",
                                                    "xlinked_biallelic",
                                                    "xlinked_monoallelic",
                                                    "mitochondrial",
                                                    "unknown"
                                                ],
                                                "type": "enum"
                                            }
                                        },
                                        {
                                            "doc": "This is the genomicsFeature of interest for this reported variant, please note that one variant can overlap more that one gene/transcript\n        If more than one gene/transcript is considered interesting for this particular variant, should be reported in two different ReportEvents",
                                            "name": "genomicFeature",
                                            "type": {
                                                "fields": [
                                                    {
                                                        "doc": "Feature Type",
                                                        "name": "featureType",
                                                        "type": {
                                                            "name": "FeatureTypes",
                                                            "symbols": [
                                                                "RegulatoryRegion",
                                                                "Gene",
                                                                "Transcript"
                                                            ],
                                                            "type": "enum"
                                                        }
                                                    },
                                                    {
                                                        "doc": "Transcript used, this should be a feature ID from Ensembl, (i.e, ENST00000544455)",
                                                        "name": "ensemblId",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "doc": "This field is optional, BUT it should be filled if possible",
                                                        "name": "hgnc",
                                                        "type": [
                                                            "null",
                                                            "string"
                                                        ]
                                                    },
                                                    {
                                                        "doc": "Others IDs",
                                                        "name": "otherIds",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "type": "map",
                                                                "values": "string"
                                                            }
                                                        ]
                                                    }
                                                ],
                                                "name": "GenomicFeature",
                                                "type": "record"
                                            }
                                        },
                                        {
                                            "doc": "This is the penetrance assumed for scoring or classifying this variant",
                                            "name": "penetrance",
                                            "type": "org.gel.models.participant.avro.Penetrance"
                                        },
                                        {
                                            "doc": "This is the score provided by the company to reflect a variant's likelihood of explaining the phenotype using\n        a specific mode of Inheritance",
                                            "name": "score",
                                            "type": "float"
                                        },
                                        {
                                            "doc": "Other scores that the interpretation provider may add (for example phenotypically informed or family informed scores)",
                                            "name": "vendorSpecificScores",
                                            "type": [
                                                "null",
                                                {
                                                    "type": "map",
                                                    "values": "float"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Classification of the pathogenicity of this variant with respect to the phenotype",
                                            "name": "variantClassification",
                                            "type": [
                                                "null",
                                                {
                                                    "doc": "This is the classification of the variant according to standard practice guidelines (e.g. ACMG)",
                                                    "name": "VariantClassification",
                                                    "symbols": [
                                                        "pathogenic_variant",
                                                        "likely_pathogenic_variant",
                                                        "variant_of_unknown_clinical_significance",
                                                        "likely_benign_variant",
                                                        "benign_variant",
                                                        "not_assessed"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "This variant using this mode of inheritance can fully explain the phenotype? true or false",
                                            "name": "fullyExplainsPhenotype",
                                            "type": [
                                                "null",
                                                "boolean"
                                            ]
                                        },
                                        {
                                            "doc": "This value groups variants that together could explain the phenotype according to the\n        mode of inheritance used. All the variants sharing the same value will be considered in the same group.\n        This value is an integer unique in the whole analysis.",
                                            "name": "groupOfVariants",
                                            "type": [
                                                "null",
                                                "int"
                                            ]
                                        },
                                        {
                                            "doc": "This is the description of why this variant would be reported, for example that it affects the protein in this way\n        and that this gene has been implicated in this disorder in these publications. Publications should be provided as PMIDs\n        using the format [PMID:8075643]. Other sources can be used in the same manner, e.g. [OMIM:163500]. Brackets need to be included.",
                                            "name": "eventJustification",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Tier is a property of the model of inheritance and therefore is subject to change depending on the inheritance assumptions\n        This should be filled with the information provided by GEL",
                                            "name": "tier",
                                            "type": [
                                                "null",
                                                {
                                                    "doc": "Possible tiers as defined by Genomics England",
                                                    "name": "Tier",
                                                    "symbols": [
                                                        "NONE",
                                                        "TIER1",
                                                        "TIER2",
                                                        "TIER3"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        }
                                    ],
                                    "name": "ReportEvent",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        },
                        {
                            "doc": "For example a quote from a paper",
                            "name": "additionalTextualVariantAnnotations",
                            "type": [
                                "null",
                                {
                                    "type": "map",
                                    "values": "string"
                                }
                            ]
                        },
                        {
                            "doc": "For example HGMD ID, dbSNP ID or Pubmed Id",
                            "name": "evidenceIds",
                            "type": [
                                "null",
                                {
                                    "type": "map",
                                    "values": "string"
                                }
                            ]
                        },
                        {
                            "doc": "For Example (Allele Frequency, sift, polyphen, mutationTaster, CADD. ..)",
                            "name": "additionalNumericVariantAnnotations",
                            "type": [
                                "null",
                                {
                                    "type": "map",
                                    "values": "float"
                                }
                            ]
                        },
                        {
                            "doc": "Comments",
                            "name": "comments",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "ReportedVariant",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "doc": "Tiering Version",
            "name": "tieringVersion",
            "type": "string"
        },
        {
            "doc": "Internal Study id",
            "name": "internalStudyId",
            "type": "string"
        },
        {
            "doc": "Complex Genetic Phenomena",
            "name": "complexGeneticPhenomena",
            "type": [
                "null",
                {
                    "name": "ComplexGeneticPhenomena",
                    "symbols": [
                        "mosaicism",
                        "monosomy",
                        "disomy",
                        "uniparental_disomy",
                        "trisomy",
                        "other_aneuploidy"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "It is paternal or maternal with reference to the participant.",
            "name": "otherFamilyHistory",
            "type": [
                "null",
                {
                    "doc": "Family history for secondary findings.\n    Arrays of strings describing discrete family history phenotypes.\n    Usually: `EndocrineTumours`, `colorectal`, `BreastOvarian` and `HDOrStroke` but can be others",
                    "fields": [
                        {
                            "doc": "Relevant Maternal family history",
                            "name": "maternalFamilyHistory",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "doc": "Relevant Maternal family history",
                            "name": "paternalFamilyHistory",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "OtherFamilyHistory",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "This map of key: panel_name, value: (map of key: gene, value: (map of metrics of key: metric name, value: float))\n            That is: a map of tables of genes and metrics",
            "name": "genePanelsCoverage",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": {
                        "type": "map",
                        "values": {
                            "type": "map",
                            "values": "float"
                        }
                    }
                }
            ]
        },
        {
            "doc": "Additional information",
            "name": "additionalInfo",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        }
    ],
    "name": "TieringResult",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}